function Get-SearchResults([string]$suche, [int]$anzahl = 50) {
  $url = "http://www.google.de/search?hl=de&q=$suche&num=$anzahl"
  Get-Links($url) | % { 
    trap {continue} 
    if ($_.title -ne '' -and ($_.href -match '^http://\D') -and -not ($_.href -match 'google\.')) {
      $obj = new-object PSObject
      add-member -name Title -value ($_.title) -MemberType NoteProperty -InputObject $obj
      add-member -name URL -value ($_.href) -MemberType NoteProperty -InputObject $obj; $obj
    } 
  }
}


$suchbegriff = Read-Host 'Ihr Suchbegriff'
Get-SearchResults $suchbegriff, 100 | % {
"<html><head><Title>Meine Suchergebnisse zu '$suchbegriff'</title></head><body><h1>Suchergebnisse zu '$suchbegriff'</h1>"
}{
"<p><a href=""$($_.URL)"">$($_.Title)</a></p>"
	}{
	'</body></html>'
	} > ergebnis.html
.\ergebnis.html
