function Export-XML($RootTag="WURZEL",$ItemTag="ELEMENT", $Childs="*", $Attributes=$Null) {
  Begin {
  $xml = "<$RootTag>`n"
  }

  Process {
    $xml += " <$ItemTag"
    if ($Attributes)
    {
      foreach ($attr in $_ | Get-Member -type *Property $attributes)  { 
        $name = $attr.Name
        $xml += " $Name=`"$($_.$Name)`""
      }
    }
    $xml += ">`n"
    foreach ($child in $_ | Get-Member -Type *Property $Childs)
    {
      $Name = $child.Name
      $xml += "   <$Name>$($_.$Name)</$Name>`n"
    }
    $xml += " </$ItemTag>`n"
  }

  End {
    $xml += "</$RootTag>`n"
    [xml]$xml
  }
} 

$liste = dir | Export-XML
$liste
$liste.WURZEL.ELEMENT
