$source = @"
using System;
using System.Collections.Generic;
using System.Text;

namespace ClipboardAddon
{
    using System.Runtime.InteropServices;
    public class Utility
    {
        [DllImport("user32", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
        private static extern bool OpenClipboard(int hwnd);
        [DllImport("user32", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
        private static extern int EmptyClipboard();
        [DllImport("user32", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
        private static extern int CloseClipboard();
        [DllImport("user32", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
        private static extern bool SetClipboardData(int wFormat, int hMem);
        [DllImport("kernel32", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
        private static extern int GlobalAlloc(int wFlags, int dwBytes);
        [DllImport("kernel32", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
        private static extern int GlobalLock(int hMem);
        [DllImport("kernel32", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
        private static extern int GlobalUnlock(int hMem);
        [DllImport("kernel32", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
        private static extern int lstrcpy(int lpString1, string lpString2);

        public void CopyToClipboard(string text)
        {
            bool result = false;
            int mem = GlobalAlloc(66, text.Length + 1);
            int lockedmem = GlobalLock(mem);
            lstrcpy(lockedmem, text);
            if (GlobalUnlock(mem) == 0)
            {
                if (OpenClipboard(0))
                {
                    EmptyClipboard();
                    result = SetClipboardData(1, mem);
                    CloseClipboard();
                }
            }
        }
    }
}
"@
$source | Out-File sourcecode.cs
$path = Resolve-Path sourcecode.cs
$compiler = "$env:windir/Microsoft.NET/Framework/v2.0.50727/csc"
&$compiler /target:library $path
