function Monitor-Folder([string]$path=($Home), [System.IO.WatcherChangeTypes]$type="All") { 
  [void][System.Reflection.Assembly]::LoadWithPartialName("System.Drawing") 
  [void][System.Reflection.Assembly]::LoadWithPartialName("System.windows.forms") 

  if ($path -eq "."){
      $path=$((Get-Item .).Fullname)
  } 
  
  $form = New-Object System.Windows.Forms.Form 
  $menu = New-Object System.Windows.Forms.ContextMenu 
  $menuitem = New-Object System.Windows.Forms.MenuItem 
  $notifyicon = New-Object System.Windows.Forms.NotifyIcon 

  $form.contextMenu = $menu 
  [void]$form.contextMenu.MenuItems.Add($menuitem) 
  $form.ShowInTaskbar = $FALSE 
  $form.WindowState = "minimized"   

  $menuitem.Index = 0 
  $menuitem.Text = "&berwachung abbrechen" 
  $menuitem.add_Click({ 
    $fsw.EnableRaisingEvents = $FALSE
    $notifyicon.Visible = $FALSE 
    $form.Close() 
  }) 

  # Hier den Pfad zu einem existierenden Symbol angeben:
  $notifyicon.Icon = New-object System.Drawing.Icon("$env:windir\system32\acwizard.ico") 
  $notifyicon.ContextMenu = $menu 
  $notifyicon.Text = "berwache $path" 

  $fsw = New-Object System.IO.FileSystemWatcher $path 
  $fsw.IncludeSubDirectories = $TRUE 
  $fsw.SynchronizingObject = $form 
  
  $fsw.add_Renamed({ 
      $notifyicon.ShowBalloonTip(10,$_.Name,
      "$($_.OldFullPath) wurde umbenannt in $($_.FullPath)",[System.Windows.Forms.ToolTipIcon]"Info") 
      Write-Host "$((Get-Date).ToShortTimeString()) : $($_.OldFullPath) wurde umbenannt in $($_.FullPath)" 
    }) 
    $fsw.add_Created({ 
      $notifyicon.ShowBalloonTip(10,$_.Name,
      "$($_.FullPath) wurde angelegt",[System.Windows.Forms.ToolTipIcon]"Info") 
      Write-Host "$((Get-Date).ToShortTimeString()) : $($_.FullPath) wurde angelegt" 
    }) 
  $fsw.add_Deleted({ 
      $notifyicon.ShowBalloonTip(10,$_.Name,
      "$($_.FullPath) wurde gelscht",[System.Windows.Forms.ToolTipIcon]"Warning") 
      Write-Host "$((Get-Date).ToShortTimeString()) : $($_.FullPath) wurde gelscht" 
    }) 
  $fsw.add_Changed({ 
      #$notifyicon.ShowBalloonTip(10,$_.Name,
      #"Der Inhalt des Ordners $($_.FullPath) wurde verndert",[System.Windows.Forms.ToolTipIcon]"Info") 
      Write-Host "$((Get-Date).ToShortTimeString()) : $($_.FullPath) wurde verndert" 
    }) 
  
  $fsw.EnableRaisingEvents = $TRUE
  $notifyicon.Visible = $TRUE
  [void]$form.showdialog() 
} 

monitor-folder
